View Issue Details

IDCategoryLast Update
0008242bugs2020-06-28 18:24
ReportersapistaAssigned To 
Reproducibilitysometimes 
Status closedResolutionfixed 
PlatformGNUOSLinuxOS Version(any)
Product Version6.0 
Fixed in Version 
Summary0008242: OSC repeated feedback messages for some controls in /select commands
DescriptionWhile using OSC to control Ardour 6.0 with my custom-made control surface I realized that after some time playing with faders and knobs Ardour starts to send multiple copies of the same feedback messages in /select commands. This is not a main issue since a control surface may just ignore the replicated messages but it could heat up more than necessary LAN bandwidth and difficult control surface implementations.

So, for example, when a panner is moved it is expected that Ardour sends trough OSC feedback its value like:
/select/pan_stereo_position ,f 0.3999999761581421

However, after some time playing with the control surface I'm getting multiple replicated messages with exactly same panner values:
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421

This is happening randomly for faders, trim, panners and mute buttons as far I could test.
Steps To Reproduce#Listen to incoming messages from Ardour
dump_osc 8000

#Config surface
send_osc osc.udp://127.0.0.1:3819 /set_surface 0 7 24771 2 0

#Select a strip
send_osc osc.udp://127.0.0.1:3819 /strip/select 1 1

#Set panner
send_osc osc.udp://127.0.0.1:3819 /select/pan_stereo_position 0.9

#And I get a lot of replicated feedback messages
/strip/pan_stereo_position ,if 2 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
/select/pan_stereo_position ,f 0.3999999761581421
TagsNo tags attached.

Activities

ovenwerks

2020-06-23 16:13

reporter   ~0024492

I can not reproduce this. However, I have made some changes already in the area this affects (while fixing some of your other issues) so one of those changes may have already fixed this. Could I get you to try out tomorrow's daily build (June 24) https://nightly.ardour.org/list.php. The demo version should be fine for testing this.

sapista

2020-06-24 08:26

reporter   ~0024498

I tested it with current nightly version (6.0.160) and I can not reproduce the issue anymore, so I'm considering this fixed. Thanks.

ovenwerks

2020-06-28 18:24

reporter   ~0024521

OP can no long reproduce on current nightly

Issue History

Date Modified Username Field Change
2020-06-15 16:18 sapista New Issue
2020-06-23 16:13 ovenwerks Note Added: 0024492
2020-06-24 08:26 sapista Note Added: 0024498
2020-06-28 18:24 ovenwerks Status new => closed
2020-06-28 18:24 ovenwerks Resolution open => fixed
2020-06-28 18:24 ovenwerks Note Added: 0024521